commit:     ddbe285a84d389eefaa52a14ca7607d0cd8ba95c
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Sat May 12 22:59:51 2018 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Sun May 13 01:33:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddbe285a

dev-python/boto3: add new version 1.7.19

Package-Manager: Portage-2.3.36, Repoman-2.3.9

 dev-python/boto3/Manifest            |  1 +
 dev-python/boto3/boto3-1.7.19.ebuild | 53 ++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 81004d8ed21..ee91aac4f6c 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.4.7.tar.gz 217171 BLAKE2B 
900c5c4249df9d0c3b5d157835f66be5e7cd3e2f4
 DIST boto3-1.5.27.tar.gz 221841 BLAKE2B 
b604bb3f20f6ea5d6fd9de8ea63258cd4fdb36fb7cdbd6ca2e194f177dd37da3609928be47fc620ab42db6955aff373c757ea0f80896be947aa714bd6da487f8
 SHA512 
c38d11fc1e1d65cfaf9bbe00da210c4713fec9232320387efc11663470fc333a622877eddd1c60216496cb6fb399f0964cf51bed67209c4c7ec17af03972350f
 DIST boto3-1.5.6.tar.gz 218891 BLAKE2B 
e2f9b567d8c4daad21895a6e8eff7e004229d96715e648c0f62705d5b3db1520e98e1b93d88650e8be98517e971258c0fae92ba09622f86081bb1a1665937645
 SHA512 
15eacfdf059634ad86a5c41b0ca237e24a6602b0cf9c897fc3d89b02dbebc93043c338d0e1d89d47bb619521943807829f67a384f450987ad5c85b34d1c76d81
 DIST boto3-1.6.6.tar.gz 223075 BLAKE2B 
a865126d1a3ccb38794f2f65ab9ce1d9ea36555b13d48515d221c3d9245e89a3145d79b7eb405e9c74df9b73c49d38770caa1864f0cd610d533b61d8ff54e7f1
 SHA512 
a7ae94dd7fdd96214129e889a99e950a90edba23952eec7a45047cb1e6173a827dc45013a78c4fd083a5e6b4524f362b44a72f758b32f4e05e00215b38b7643c
+DIST boto3-1.7.19.tar.gz 226568 BLAKE2B 
3f56b738d49cd8da02621b5f00160e8a6bc06fa785b870cf0a413c0c9ba2e04dd772f4246fe943dc9fd7dc14f1c587377e3ffba77c2b1a092247958dbc573fdb
 SHA512 
80975e234caabb0f9c0166cc00a3bf88d61ff1df386fa4df83599245a04d323d10b770e1f4171e7f856ea91edd325d1207caf023a2f43e5dca23236fc48bcb6d

diff --git a/dev-python/boto3/boto3-1.7.19.ebuild 
b/dev-python/boto3/boto3-1.7.19.ebuild
new file mode 100644
index 00000000000..d34a08a45c2
--- /dev/null
+++ b/dev-python/boto3/boto3-1.7.19.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc test"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/boto3";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+       >=dev-python/botocore-1.10.19[${PYTHON_USEDEP}]
+       dev-python/jmespath[${PYTHON_USEDEP}]
+       dev-python/s3transfer[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/guzzle_sphinx_theme[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests -v tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to